Subject: bug#77985: 31.0.50; infinite loop in `make-frame-names-alist`

From: Al Haji-Ali <[email-masked]>
Date: Tue, 06 May 2025 08:54:23 +0100

On 04/05/2025, martin rudalics wrote:

> I now made a number of additional changes:
>
> - I rewrote next_frame in the style of prev_frame so it has to scan the
>    frame list once only.
>
> - `make-frame-names-alist' now lists only frames on the same terminal as
>    FRAME and skips frames whose 'no-other-frame' parameter is non-nil.
>
> - I updated some doc-strings.
>
> Please try with the attached diff.  If you don't find any problems, I'll
> install it in a couple of days.
>

This patch also works for me (again with my limited tests).
I don't see any issues with the implementation/additional documentation.

Thanks!